#### D.14.2.17 zdd2poly

Procedure from library `polybori.lib` (see polybori_lib).

Usage:
  zdd2poly(ss); zero-supressed decision diagram ss

Return:
  zdd ss in polynomial representation

Example:

    LIB "polybori.lib";
    ==> // ** args must be 1 in     system("install", "bideal",   "ideal",    bid\
       eal2ideal, 4);
    ring r=0,x(1..5),Dp;
    poly f=(x(1)+1)*(x(2)+1)*(x(3)+1)*x(4)*x(5);
    zdd2poly(poly2zdd(f));
    ==> x(1)*x(2)*x(3)*x(4)*x(5)+x(1)*x(2)*x(4)*x(5)+x(1)*x(3)*x(4)*x(5)+x(2)*x(3\
       )*x(4)*x(5)+x(1)*x(4)*x(5)+x(2)*x(4)*x(5)+x(3)*x(4)*x(5)+x(4)*x(5)
    poly g=x(3);
    zdd2poly(poly2zdd(g));
    ==> x(3)
    poly g=0;
    ==> // ** redefining g **
    zdd2poly(poly2zdd(0));
    ==> 0
    poly g=1;
    ==> // ** redefining g **
    zdd2poly(poly2zdd(01));
    ==> 1

See also: boolean_set; from_boolean_poly.

User manual for Singular version 4-0-3, 2016, generated by texi2html.